Summary:        A voice compression format (codec)
Name:           speex
Version:        1.2.1
Release:        3%{?dist}
License:        BSD
URL:            https://www.speex.org/
Source0:        https://downloads.xiph.org/releases/speex/%{name}-%{version}.tar.gz

BuildRequires:  make gcc
BuildRequires:  pkgconfig(ogg) pkgconfig(speexdsp)

%description
Speex is a patent-free compression format for speech. It is designed to provide low bit-rates 
voice communications in the 2-45 kbps range. such as Voice over IP (VoIP), Internet audio 
streaming, audio books, and archiving of speech data (e.g. voice mail).

%package devel
Summary: 	Development package for %{name}
Requires: 	%{name} = %{version}-%{release}

%description devel
This package contains development files for %{name}

%package tools
Summary:	The tools package for %{name}
Requires:	%{name} = %{version}-%{release}

%description tools
This package contains tools files and users manual for %{name}.

%prep
%autosetup -p1

%build
%configure --disable-static --enable-binaries
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build

%install
%make_install
rm -f %{buildroot}%{_docdir}/speex/manual.pdf

%files
%license COPYING
%doc AUTHORS TODO ChangeLog README NEWS
%{_libdir}/libspeex.so.1*

%files devel
%doc doc/manual.pdf
%{_includedir}/speex
%{_libdir}/pkgconfig/speex.pc
%{_libdir}/libspeex.so
%exclude %{_libdir}/libspeex.la
%{_datadir}/aclocal/speex.m4

%files tools
%{_bindir}/speexenc
%{_bindir}/speexdec
%{_mandir}/man1/speexenc.1*
%{_mandir}/man1/speexdec.1*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.1-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.1-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 kianli <kianli@tencent.com> - 1.2.1-1
- Upgrade to 1.2.1

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 28 2022 Wang Guodong <gordonwwang@tencent.com> - 1.2.0-1
- package init.
